# Visualization
TKV3d
Select3D

# Select3D_Pnt Struct Reference

`#include <Select3D_Pnt.hxx>`

## Public Member Functions

| operator gp_Pnt () const
| operator gp_XYZ () const
gp_Pnt | operator= (const gp_Pnt &thePnt)

## Data Fields

Standard_ShortReal | x
Standard_ShortReal | y
Standard_ShortReal | z

## Member Function Documentation

Select3D_Pnt::operator gp_Pnt | ( |  | ) | const`[inline]`

Select3D_Pnt::operator gp_XYZ | ( |  | ) | const`[inline]`

gp_Pnt Select3D_Pnt::operator= | ( | const gp_Pnt & | thePnt | ) | `[inline]`

## Field Documentation

Standard_ShortReal Select3D_Pnt::x

Standard_ShortReal Select3D_Pnt::y

Standard_ShortReal Select3D_Pnt::z

The documentation for this struct was generated from the following file:

- Select3D_Pnt.hxx